> ## Documentation Index
> Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt
> Use this file to discover all available pages before exploring further.

# List inductions for subcontractor

> Get all inductions for workers associated with a subcontractor



## OpenAPI

````yaml GET /subcontractors/{id}/inductions
openapi: 3.0.0
info:
  title: BuildPass API
  description: >-
    Approved integrators can connect to the BuildPass API on behalf of builders
    to build connections between a wide range of construction platforms.
  version: 1.0.0
servers:
  - url: https://api.buildpass.global
    description: Production server
security:
  - OAuth2: []
paths:
  /subcontractors/{id}/inductions:
    get:
      description: Get all inductions for workers associated with a subcontractor
      operationId: getSubcontractorInductions
      parameters:
        - name: id
          description: The ID of the subcontractor
          in: path
          required: true
          schema:
            type: string
            example: sub_clgbsb90b001qjy0f0eo1hspp
        - name: projectId
          description: Filter by project ID
          in: query
          required: false
          schema:
            type: string
            example: prj_clgbsb90b001qjy0f0eo1hspp
        - name: status
          description: Filter by induction status
          in: query
          required: false
          schema:
            type: string
            enum:
              - REVIEWED
              - WAITING_REVIEW
              - CHANGES_REQUESTED
            example: WAITING_REVIEW
        - name: offset
          description: >-
            The number of items to skip before starting to collect the result
            set
          in: query
          required: false
          schema:
            type: integer
            default: 0
            example: 0
        - name: limit
          description: The number of items to return
          in: query
          required: false
          schema:
            type: integer
            default: 25
            example: 25
            maximum: 25
        - name: X-BuildPass-Api-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/X-BuildPass-Api-Version'
      responses:
        '200':
          description: A paginated list of inductions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponseInduction'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
        '500':
          description: Internal Server Error
      security:
        - OAuth2: []
components:
  schemas:
    X-BuildPass-Api-Version:
      type: string
      example: v1
      default: v1
      enum:
        - v1
      description: What API version to use.
    PaginatedResponseInduction:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Induction'
        meta:
          $ref: '#/components/schemas/PaginationMeta'
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              fieldName:
                type: string
                example: name
              message:
                type: string
                example: This field is required.
    Induction:
      type: object
      properties:
        id:
          type: string
          example: ind_clgbsb90b001qjy0f0eo1hspp
          description: The ID of the induction
        identifier:
          type: number
          nullable: true
          example: 1
          description: The project-specific identifier for the induction
        createdAt:
          type: string
          format: date-time
          example: '2023-10-03T23:19:35.771Z'
        updatedAt:
          type: string
          format: date-time
          example: '2023-10-03T23:19:35.771Z'
        type:
          type: string
          enum:
            - BUILDER_INDUCTION
            - PROJECT_INDUCTION
          example: PROJECT_INDUCTION
        status:
          type: string
          enum:
            - REVIEWED
            - WAITING_REVIEW
            - CHANGES_REQUESTED
          example: WAITING_REVIEW
        project:
          type: object
          nullable: true
          properties:
            id:
              type: string
              example: prj_clgbsb90b001qjy0f0eo1hspp
            name:
              type: string
              example: Downtown Mall Construction
        worker:
          type: object
          properties:
            id:
              type: string
              example: wkr_clgbsb90b001qjy0f0eo1hspp
            fullName:
              type: string
              example: John Doe
        subcontractor:
          type: object
          nullable: true
          properties:
            id:
              type: string
              example: sub_clgbsb90b001qjy0f0eo1hspp
            name:
              type: string
              example: ABC Contractors
    PaginationMeta:
      type: object
      properties:
        totalCount:
          type: integer
          description: How many total items there are.
          example: 100
        totalPages:
          type: integer
          description: How many pages there are based on your offset and limit.
          example: 4
        offset:
          type: integer
          description: How many items skipped before starting to collect the result set.
          example: 0
        limit:
          type: integer
          description: How many items you requested to return.
          example: 25
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.buildpass.global/oauth/token
          scopes:
            read:subcontractors: Read subcontractors
            write:subcontractors: Write subcontractors
            read:prequalifications: Read prequalifications
            write:prequalifications: Write prequalifications
            read:insurances: Read insurances
            write:insurances: Write insurances
            read:contacts: Read contacts
            read:swms: Read SWMS
            read:timesheets: Read timesheets
            read:inductions: Read inductions
            read:meetings: Read meetings
            write:meetings: Write meetings
            read:photos: Read photos and photo folders
            write:photos: Create, update, delete, and sync photos and photo folders

````